apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: nginx-discret
  name: nginx-discret
spec:
  replicas: 3
  selector:
    matchLabels:
      app: nginx-discret
  template:
    metadata:
      labels:
        app: nginx-discret
    spec:
      containers:
      - image: nginx:alpine
        imagePullPolicy: IfNotPresent
        name: serveurweb
#        ports:
#          - containerPort: 80
        volumeMounts:
          - name: discret
            # mountPath: /etc/nginx/conf.d   # comme ça et sans subPath alors invibilise les autres fichiers du dossier conf.d
            mountPath: /etc/nginx/conf.d/chut.conf
            subPath: chut.conf   # invonvénient : les mises à jour de la configMap ne sont pas répercutées automatiquement
      volumes:
        - name: discret
          configMap:
            name: chut-nginx
            items:
              - key: chut.conf
                path: chut.conf
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: chut-nginx
data:
  chut.conf: |
    server_tokens off;  # pour rendre Nginx plus discret
